Bug 767583 - Review Request: python-poppler-qt4
Summary: Review Request: python-poppler-qt4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-14 12:43 UTC by Brendan Jones
Modified: 2012-01-02 13:56 UTC (History)
5 users (show)

Fixed In Version: python-poppler-qt4-0.16.2-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-30 22:56:52 UTC
Type: ---
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Brendan Jones 2011-12-14 12:43:16 UTC
python-poppler-qt4 provides python bindings to poppler-qt4

This package is required for an upcoming version of frescobaldi, a music notation editor.

SRPM: http://bsjones.fedorapeople.org/python-poppler-qt4-0.16.2-1.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/python-poppler-qt4.spec

fedora16:~/rpmbuild $ rpmlint SRPMS/python-poppler-qt4-0.16.2-1.fc16.src.rpm RPMS/x86_64/python-poppler-qt4-*.rpm SPECS/python-poppler-qt4.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jochen Schmitt 2011-12-15 19:05:23 UTC
I want to ask, if you can provide a pytohon-3 compilant release of this package.

Comment 2 Brendan Jones 2011-12-15 20:32:55 UTC
Doesn't seem to be explicitly supported by upstream, although testing python 3.x is on upstream's TODO list. If you make a case for it and upstream agrees I will modify the spec.

Comment 3 Jerry James 2011-12-21 18:30:51 UTC
Taking for review.

Comment 4 Jerry James 2011-12-21 20:47:08 UTC
Legend:
+: OK
-: must be fixed
=: should be fixed (at your discretion)
N: not applicable

MUST:
[+] rpmlint output:
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
[+] follows package naming guidelines
[+] spec file base name matches package name
[+] package meets the packaging guidelines
[+] package uses a Fedora approved license
[+] license field matches the actual license
[+] license file is included in %doc
[+] spec file is in American English
[+] spec file is legible
[+] sources match upstream: md5sum is 6a1c1a84df08a1798bbacffa33f86ba3 for both
[+] package builds on at least one primary arch (tried x86_64)
[N] appropriate use of ExcludeArch
[+] all build requirements in BuildRequires
[N] spec file handles locales properly
[N] ldconfig in %post and %postun
[+] no bundled copies of system libraries
[N] no relocatable packages
[+] package owns all directories that it creates
[+] no files listed twice in %files
[+] proper permissions on files
[+] consistent use of macros
[+] code or permissible content
[N] large documentation in -doc
[+] no runtime dependencies in %doc
[N] header files in -devel
[N] static libraries in -static
[N] .so in -devel: this package has an .so, but it is in the right place
[N] -devel requires main package
[+] package contains no libtool archives
[N] package contains a desktop file, uses desktop-file-install
[+] package does not own files/dirs owned by other packages
[+] all filenames in UTF-8

SHOULD:
[N] query upstream for license text
[N] description and summary contains available translations
[+] package builds in mock: tried fedora-rawhide-i386
[+] package builds on all supported arches: tried i386 and x86_64
[+] package functions as described: only minimal testing
[+] sane scriptlets
[N] subpackages require the main package
[N] placement of pkgconfig files
[+] file dependencies versus package dependencies
[N] package contains man pages for binaries/script

Nicely done.  This package is APPROVED,

Comment 5 Brendan Jones 2011-12-22 14:22:54 UTC
New Package SCM Request
=======================
Package Name: python-poppler-qt4
Short Description: python bindings to poppler-qt4
Owners: bsjones
Branches: f15 f16
InitialCC:

Comment 6 Gwyn Ciesla 2011-12-22 14:37:07 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-12-22 15:31:24 UTC
python-poppler-qt4-0.16.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-poppler-qt4-0.16.2-1.fc16

Comment 8 Fedora Update System 2011-12-22 15:44:58 UTC
python-poppler-qt4-0.16.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-poppler-qt4-0.16.2-1.fc15

Comment 9 Fedora Update System 2011-12-23 03:26:23 UTC
python-poppler-qt4-0.16.2-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 10 Fedora Update System 2011-12-30 22:56:52 UTC
python-poppler-qt4-0.16.2-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-12-30 22:58:24 UTC
python-poppler-qt4-0.16.2-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 12 Rex Dieter 2012-01-01 06:31:31 UTC
Good stuff, might I suggest adding some runtime dependencies:

Requires: PyQt4
%{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}

the latter item is a trick we use elsewhere in the distro to track sip binary compatibility.

Comment 13 Rex Dieter 2012-01-01 06:32:35 UTC
Heck, I can add these myself (to rawhide), if there are no objection or otherwise good reason not to do so.

Comment 14 Brendan Jones 2012-01-02 13:56:48 UTC
Thanks for that, I have updated in rawhide, Will issue and update for the other branches


Note You need to log in before you can comment on or make changes to this bug.